import request from '@/utils/request'

// 采购合同-采购明细列表
export function apiProcurementContractDetailLists(params: any) {
    return request.get({ url: '/contract.procurement_contract_detail/lists', params })
}

// 添加采购合同-采购明细
export function apiProcurementContractDetailAdd(params: any) {
    return request.post({ url: '/contract.procurement_contract_detail/add', params })
}

// 编辑采购合同-采购明细
export function apiProcurementContractDetailEdit(params: any) {
    return request.post({ url: '/contract.procurement_contract_detail/edit', params })
}

// 删除采购合同-采购明细
export function apiProcurementContractDetailDelete(params: any) {
    return request.post({ url: '/contract.procurement_contract_detail/delete', params })
}

// 采购合同-采购明细详情
export function apiProcurementContractDetailDetail(params: any) {
    return request.get({ url: '/contract.procurement_contract_detail/detail', params })
}